Skip to content

List products

Request

Security
oauth2
Query
publicinteger

Get public products only

Example:public=1
curl -i -X GET \
  'https://app.insert.nl/api/v1/products?public=1' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Paginated set of ProductResource

Bodyapplication/json
dataArray of objects(ProductResource)required
metaobjectrequired
Response
{ "data": [ { … } ], "links": { "first": "string", "last": "string", "prev": "string", "next": "string" }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "links": [ … ], "path": "string", "per_page": 0, "to": 1, "total": 0 } }